<template>
    <svg xmlns="http://www.w3.org/2000/svg" :width="size" :height="size" fill="currentColor" class="the-editor-icon" :viewBox="viewBox" v-html="xml" />
</template>

<script lang="ts" setup>
    withDefaults(defineProps<{
        xml: string,
        viewBox?: string,
        size?: number
    }>(), {
        xml: '',
        viewBox: '0 0 16 16',
        size: 16
    })
</script>